Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » I have 4 Eclipses and i am confused (help)
I have 4 Eclipses and i am confused (help) [message #1835261] Sat, 28 November 2020 11:36 Go to next message
Capi La Learn is currently offline Capi La LearnFriend
Messages: 7
Registered: July 2020
Junior Member
Hello,
I have :
1) Eclipse for Java developpers
2) Eclipse Capella
3) Eclipse Papyrus
4) And finally : Eclipse Modeling Tools ?

I am trying to open XMI files (It's more than XML : XML Metadata Interchange (XMI)),
I found this video : https://www.youtube.com/watch?v=TFev9RW8Tgs
It led me to : https://www.eclipse.org/gmf-tooling/download.php

It says i need 2 prerequisites :
1) Eclipse Modeling Tools
2) And : MMT QVTO
And then : proceed to install GMF using the Update Manager (which i did before installing the prerequisites)

Now I have no idea how to implement The 2 prerequisites? I extracted the Exlipse Modeling Tools and it says when opening the .exe : version 1.8.... of JMV is not suitable for this product.. version 11 or greater is required?

I also have no idea how to implement this MMT QVTO thing? I managed to find the .zip file https://www.eclipse.org/mmt/downloads/?project=qvto
What to do with this archive?

[Updated on: Sat, 28 November 2020 11:39]

Report message to a moderator

Re: I have 4 Eclipses and i am confused (help) [message #1835270 is a reply to message #1835261] Sun, 29 November 2020 05:08 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31867
Registered: July 2009
Senior Member
Yes, the latest version of Eclipse requires Java 11 to be installed. It's probably easier to use the update non-zip sites:

https://projects.eclipse.org/projects/modeling.mmt.qvt-oml/downloads

The zips you can use when installing new software using Add... -> Archive ...


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Import / open XMI (XML ) files on eclipse?
Next Topic:Associating Eclipse Account with Github ID
Goto Forum:
  


Current Time: Thu May 13 23:21:19 GMT 2021

Powered by FUDForum. Page generated in 0.03187 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top